Ev::resume
Ev::sleep
Ev
PHP Manual

# Ev::run

(PECL ev >= 0.2.0)

Ev::run — Begin checking for events and calling callbacks for the default loop

### Description

final public static void Ev::run ([ int `$flags` ] )

Begin checking for events and calling callbacks for the default loop . Returns when a callback calls Ev::stop() method, or the flags are nonzero(in which case the return value is true) or when there are no active watchers which reference the loop( EvWatcher::keepalive() is `TRUE`), in which case the return value will be `FALSE`. The return value can generally be interpreted as if `TRUE`, there is more work left to do .

### Parameters

`flags`

  Optional parameter `flags` can be one of the following:

  List for possible values of `flags`
  `flags` | Description
  --- | ---
  `0` | The default behavior described above
  `Ev::RUN_ONCE` | Block at most one(wait, but don't loop)
  `Ev::RUN_NOWAIT` | Don't block at all(fetch/handle events, but don't wait)

  See the run flag constants .

### Return Values

No value is returned.

### See Also

- Ev::stop() - Stops the default event loop
- EvLoop::run() - Begin checking for events and calling callbacks for the loop

Ev::resume
Ev::sleep
Ev
PHP Manual